Chr (Groovy 5.1.0)
Description: declaration: package: org.apache.groovy.json.internal, class: Chr

Package org.apache.groovy.json.internal

# Class Chr

java.lang.Object
org.apache.groovy.json.internal.Chr

public class Chr extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Chr()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `_idx(char[] buffer, int location, byte[] chars)`
  `static void`
  `_idx(char[] buffer, int location, byte[] chars, int start, int end)`
  `static void`
  `_idx(char[] array, int startIndex, char[] input)`
  `static void`
  `_idx(char[] array, int startIndex, char[] input, int inputLength)`
  `static char[]`
  `add(char[]... strings)`
  `static char[]`
  `add(char[] array, char v)`
  `static char[]`
  `add(char[] array, char[] array2)`
  `static char[]`
  `add(char[] array, String str)`
  `static char[]`
  `add(char[] array, StringBuilder stringBuilder)`
  `static char[]`
  `array(char... array)`
  `static char[]`
  `chars(String array)`
  `static boolean`
  `contains(char[] chars, char c, int start, int length)`
  `static char[]`
  `copy(char[] array)`
  `static char[]`
  `copy(char[] array, int offset, int length)`
  `static char[]`
  `grow(char[] array)`
  `static char[]`
  `grow(char[] array, int size)`
  `static boolean`
  `in(char value, char[] array)`
  `static boolean`
  `in(char value, int offset, char[] array)`
  `static boolean`
  `in(char value, int offset, int end, char[] array)`
  `static boolean`
  `in(int value, char[] array)`
  `static char[]`
  `lpad(char[] in, int size, char pad)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Chr

    public Chr()

- ## Method Details

  - ### array

    public static char[] array(char... array)

  - ### chars

    public static char[] chars(String array)

  - ### in

    public static boolean in(char value, char[] array)

  - ### in

    public static boolean in(int value, char[] array)

  - ### in

    public static boolean in(char value, int offset, char[] array)

  - ### in

    public static boolean in(char value, int offset, int end, char[] array)

  - ### grow

    public static char[] grow(char[] array, int size)

  - ### grow

    public static char[] grow(char[] array)

  - ### copy

    public static char[] copy(char[] array)

  - ### copy

    public static char[] copy(char[] array, int offset, int length)

  - ### add

    public static char[] add(char[] array, char v)

  - ### add

    public static char[] add(char[] array, String str)

  - ### add

    public static char[] add(char[] array, StringBuilder stringBuilder)

  - ### add

    public static char[] add(char[] array, char[] array2)

  - ### lpad

    public static char[] lpad(char[] in, int size, char pad)

  - ### contains

    public static boolean contains(char[] chars, char c, int start, int length)

  - ### _idx

    public static void _idx(char[] buffer, int location, byte[] chars)

  - ### _idx

    public static void _idx(char[] array, int startIndex, char[] input)

  - ### _idx

    public static void _idx(char[] array, int startIndex, char[] input, int inputLength)

  - ### _idx

    public static void _idx(char[] buffer, int location, byte[] chars, int start, int end)

  - ### add

    public static char[] add(char[]... strings)